package ru.yandex.autotests.direct.scriptrunner.service.scripts;

public class ScriptRunResult {

    private String url;
    private String cmdLine;
    private TestScriptRunResponse response;
    private String error;

    public ScriptRunResult(String url, String cmdLine, String error) {
        this.url = url;
        this.cmdLine = cmdLine;
        this.error = error;
    }

    public ScriptRunResult(String url, String cmdLine, TestScriptRunResponse response) {
        this.url = url;
        this.cmdLine = cmdLine;
        this.response = response;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCmdLine() {
        return cmdLine;
    }

    public void setCmdLine(String cmdLine) {
        this.cmdLine = cmdLine;
    }

    public TestScriptRunResponse getResponse() {
        return response;
    }

    public void setResponse(TestScriptRunResponse response) {
        this.response = response;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
}
